'use server';

import { revalidatePath } from 'next/cache';

export async function deleteBook(
  _prevState: string,
  id: number,
): Promise<string> {
  try {
    const response = await fetch(`http://localhost:3001/books/${id}`, {
      method: 'DELETE',
    });
    if (!response.ok) {
      throw new Error();
    }
  } catch {
    return 'Datensatz konnte nicht gelöscht werden.';
  }

  revalidatePath('/books');
  return '';
}
